org.red5.server.net.rtmp

## Interface IRTMPHandler

All Known Implementing Classes:
  BaseRTMPHandler, RTMPHandler, RTMPTHandler

    public interface IRTMPHandler

RTMP events handler

### Method Summary

Methods
`void` `connectionClosed(RTMPConnection conn, RTMP state)` Connection closed
`void` `connectionOpened(RTMPConnection conn, RTMP state)` Connection open event
`void` `messageReceived(Object message, IoSession session)` Message received
`void` `messageSent(RTMPConnection conn, Object message)` Message sent

### Method Detail

#### connectionOpened

    void connectionOpened(RTMPConnection conn,
                        RTMP state)

Connection open event

Parameters:
  `conn` - Connection
  `state` - RTMP state

#### messageReceived

    void messageReceived(Object message,
                       IoSession session)
                         throws Exception

Message received

Parameters:
  `message` - Message
  `session` - Connected session
Throws:
  `Exception` - Exception

#### messageSent

    void messageSent(RTMPConnection conn,
                   Object message)

Message sent

Parameters:
  `conn` - Connection
  `message` - Message

#### connectionClosed

    void connectionClosed(RTMPConnection conn,
                        RTMP state)

Connection closed

Parameters:
  `conn` - Connection
  `state` - RTMP state